<?xml version='1.0' encoding='utf-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:strip-space elements="postw word punct sylcomp syl dier"/>


<xsl:template match="/">
	<html><head><title>Ugo Foscolo: I Sonetti</title>
</head>
		<body>
			<blockquote dir="ltr" style="margin-right: 0px">
				<blockquote dir="ltr" style="margin-right: 0px">
					<blockquote dir="ltr" style="margin-right: 0px">
						<p>&#160;</p>
						<center>
							<h1>Ugo Foscolo: I Sonetti</h1>
						</center>
						<xsl:apply-templates select="sonnets/sonnet"/><!--
							<p>
							<xsl:call-template name="giambi"/> 
</p> -->
						<p>&#160;</p>
					</blockquote>
				</blockquote>
			</blockquote>

		</body>
	</html>
</xsl:template>
<xsl:template match="sonnet">
	<xsl:apply-templates select="head1"/>
	<xsl:apply-templates select="quatrain"/>
	<xsl:apply-templates select="tercet"/>
</xsl:template>


<xsl:template match="head1">
	<blockquote dir="ltr" style="margin-right: 0px">
		<blockquote dir="ltr" style="margin-right: 0px">
			<blockquote dir="ltr" style="margin-right: 0px">
				<b>
					<xsl:value-of select="."/>
				</b>
			</blockquote>
		</blockquote>
	</blockquote>
	<p>&#160;</p>
</xsl:template>

<xsl:template match="quatrain">
	<xsl:apply-templates select="verse"/>
</xsl:template>
<xsl:template match="tercet">
	<xsl:apply-templates select="verse"/>
</xsl:template>
<xsl:template match="quatrain/verse">
	<xsl:apply-templates select="emistich"/>
	<br/>
	<xsl:if test="@versenum = 4">
		<p>
		</p>
		</xsl:if>
</xsl:template>
<xsl:template match="tercet/verse">
	<xsl:apply-templates select="emistich"/>
	<br/>
	<xsl:if test="@versenum = 3">
		<p>
		</p>
		</xsl:if>
</xsl:template>

<xsl:template match="emistich">
	<xsl:for-each select="wordcomp">
		<xsl:for-each select="word">
			<xsl:for-each select="sylcomp">
				<xsl:choose>
					<xsl:when test="syner">
				<xsl:for-each select="syner/syl">
												<xsl:value-of select="."/>
												</xsl:for-each>
												</xsl:when>
					<xsl:otherwise>
						<xsl:for-each select="syl">
							<xsl:value-of select="."/>
						</xsl:for-each>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:for-each>
		<xsl:for-each select="postw">
											   <xsl:value-of select=".">
											   </xsl:value-of>
											   </xsl:for-each>
		<xsl:for-each select="punct">
											   <xsl:value-of select=".">
											   </xsl:value-of>
											   </xsl:for-each>
		<xsl:value-of select="concat(wordcomp,' ')"/>
	</xsl:for-each>
	<xsl:if test="@pos = 1">
		<font color="#ff0000">// </font>
	</xsl:if>
</xsl:template>
<xsl:template name="giambi">
	<xsl:for-each select="//verse">
	<xsl:if test="//syl ='ca'">

    <xsl:value-of select="."/>
 	<br/>
	</xsl:if>
	</xsl:for-each>
	</xsl:template> 
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2005. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="fosconetti.xml" htmlbaseurl="" outputurl="" processortype="internal" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition><template match="/"><block path="html/body/blockquote/blockquote/blockquote/xsl:apply&#x2D;templates" x="226" y="198"/></template><template match="head1"></template></MapperBlockPosition></MapperMetaTag>
</metaInformation>
-->